| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiPython.Bindings.iEventSelector Class Reference
Inheritance diagram for GaudiPython.Bindings.iEventSelector:
[legend]
Collaboration diagram for GaudiPython.Bindings.iEventSelector:
[legend]

## Public Member Functions
def | __init__ (self)
def | open (self, stream, typ='Gaudi::RootCnvSvc', kwargs)
def | rewind (self)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | __init__ (self, name, isvc=None)
def | retrieveInterface (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Public Attributes
| Input

## Additional Inherited Members
Static Public Attributes inherited from GaudiPython.Bindings.iService
| initialize = lambdaself:self.__call_interface_method__("_isvc","initialize")
| start = lambdaself:self.__call_interface_method__("_isvc","start")
| stop = lambdaself:self.__call_interface_method__("_isvc","stop")
| finalize = lambdaself:self.__call_interface_method__("_isvc","finalize")
| reinitialize = lambdaself:self.__call_interface_method__("_isvc","reinitialize")
| restart = lambdaself:self.__call_interface_method__("_isvc","restart")

## Detailed Description

Definition at line 647 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iEventSelector.__init__ | ( |  | self | ) |

Definition at line 648 of file Bindings.py.

648 def __init__(self):
649 iService.__init__(self, 'EventSelector', Helper.service(gbl.Gaudi.svcLocator(),'EventSelector'))
650 self.__dict__['g'] = AppMgr()
GaudiPython.Bindings.iEventSelector.__init__
def __init__(self)
Definition: Bindings.py:648
GaudiPython.Bindings.AppMgr
Definition: Bindings.py:662

## Member Function Documentation

def GaudiPython.Bindings.iEventSelector.open | ( |  | self,
|  |  | stream,
|  |  | typ = `'Gaudi::RootCnvSvc'`,
|  |  | kwargs
| ) |  |

Definition at line 651 of file Bindings.py.

651 def open(self, stream, typ = 'Gaudi::RootCnvSvc', **kwargs):
652 import Persistency as prs
653 helper = prs.get(typ)
654 helper.configure(self.g)
655 self.Input = helper.formatInput(stream, **kwargs)
656 self.reinitialize()
GaudiPython.Bindings.iEventSelector.open
def open(self, stream, typ='Gaudi::RootCnvSvc', kwargs)
Definition: Bindings.py:651
GaudiPython.Bindings.iEventSelector.Input
Input
Definition: Bindings.py:655
GaudiPython.Bindings.iService.reinitialize
reinitialize
Definition: Bindings.py:306

def GaudiPython.Bindings.iEventSelector.rewind | ( |  | self | ) |

Definition at line 657 of file Bindings.py.

657 def rewind(self):
658 # It is not possible to reinitialize EventSelector only
659 self.g.service('EventLoopMgr').reinitialize()
660
661 #----AppMgr class---------------------------------------------------------------------
GaudiPython.Bindings.iEventSelector.rewind
def rewind(self)
Definition: Bindings.py:657
GaudiPython.Bindings.iService.reinitialize
reinitialize
Definition: Bindings.py:306

## Member Data Documentation

GaudiPython.Bindings.iEventSelector.Input

Definition at line 655 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py